{{/*

    HTML Table with Messages in the BPMN-diagram
    
    Context: . (diagramSource in BPMN/XML formaat)

*/}}

{{ $source := . | transform.Unmarshal }}
{{ $collaboration := index $source "collaboration" }}
{{ $messageFlowList := slice $collaboration.messageFlow }}
{{ $msgFlowNameList := slice }}

{{ range $messageFlowList }}
    {{ $msgFlowName := index . "-name" }}

    {{ if not (in $msgFlowNameList $msgFlowName) }}
        {{ $msgFlowNameList = $msgFlowNameList | append $msgFlowName }}
    {{ end }}

{{ end }}

{{ $berichtenRef := print "/" (index site.Params.mainSections 0) "/berichten/" }}

<div>
  <table>
      <tr>
        <th>Bericht</th>
      </tr>
      {{ range $msgFlowNameList }}
      <tr>
        <td><a href="{{ print site.BaseURL $berichtenRef "/" (lower .) }}">{{ . }}</a></td>
      </tr>
      {{ end }}
  </table>
</div>
